.app-container {
    margin-top: 20px;
    display: flex;
    justify-content: center;
    gap: 20px;
    flex-wrap: wrap;
}

.app {
    position: relative;
    width: 140px;
    height: 140px;
    border-radius: 35px;
    overflow: hidden;
    background: rgba(255, 255, 255, 0.1);
    transition: 0.3s ease-in-out;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.3);
    border: 2px solid rgba(255, 255, 255, 0.1);
    cursor: pointer;
}

.app img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: 0.3s ease-in-out;
    z-index: 1;
}

.app:hover img {
    transform: scale(1.1);
    filter: blur(3px);
}

.app span {
    display: none;
}

.app:hover span {
    opacity: 1;
}